jQuery(document).ready(function () {
    initLcCkEditor();
    //generateNotice('error', 'Ceci est une notice');
    $('.action-delete').on('click', function(e) {
        e.preventDefault();
        const id = $(this).parents('tr').first().data('id');

        $('#modal-delete').modal({ backdrop: true, keyboard: true })
            .off('click', '#modal-delete-button')
            .on('click', '#modal-delete-button', function () {
                let deleteForm = $('#delete-form');
                deleteForm.attr('action', deleteForm.attr('action').replace('__id__', id));
                deleteForm.trigger('submit');
            });
    });
});

function checkForm(){
    $('form').addClass('form-sent');
    //Panel vues js
    if($('form').find('.panel').length){
        $('form').find('.panel').each(function(i, panel){
            if($(panel).find(':invalid').length){
                $('#nav-params').find('.nav-item:eq('+i+')').addClass('has-invalid');
            }else{
                $('#nav-params').find('.nav-item:eq('+i+')').removeClass('has-invalid');
            }
        })
    }
}

/* CKEditor */

function initLcCkEditor(){
    var elements = $( '.lc-ckeditor' );

    if(elements.length) {
        for (var i = 0; i < elements.length; ++i) {
            var editor = CKEDITOR.replace(elements[i], {
                "toolbar": [
                    {
                        name: "styles",
                        items: ["Format", 'Bold', 'Italic', 'Underline', 'Strike', "Link", "BulletedList"]
                    },
                    {name: 'paragraph', items: ['JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock']},
                    {name: 'insert', items: ['Image', 'SpecialChar']},
                    {name: "document", items: ["Source"]},
                ],
                "language": "fr"
            });
        }
    }
}
